<ion-view view-title="My Account" cache-view="false">
  <ion-nav-buttons side="right">
    <button class="button button-icon icon ion-plus-circled" ng-click="createGame()"></button>
  </ion-nav-buttons>
  <ion-content>
    <div class="court-profile-img">
      <img src="{{ profile.photo }}" alt="{{ profile.name }}" class="img-circle">
      <h3>{{ profile.name }}</h3>
      <h4>{{ profile.team-info }}</h5>
    </div>
    <div class="list">
		<div class="item item-button-right">
		Call Ma
		<button class="button button-positive">
		  <i class="icon ion-ios-telephone"></i>
		</button>
	   </div>


      <a class="item item-avatar item-icon-right" href="#" ng-repeat="game in games | filter:{status:1}" ng-click="viewGame(game.$id)">
        <img src="http://via.placeholder.com/50x50">
        <h2>{{ game.time_start | date:'shortTime' }} - 
          {{ (game.time_start-0) | amAdd : game.duration : 'hours' | amDateFormat : 'h:mm a' }}
        </h2>
        <p>Some data.</p>
        <i class="icon ion-ios-arrow-forward"></i>
      </a>
    </div>
  </ion-content>
  <!-- Add Game Modal -->
  <script id="create-game-modal.html" type="text/ng-template">
    <ion-modal-view>
      <ion-header-bar class="bar-assertive">
        <h1 class="title">Create Game</h1>
        <div class="buttons">
          <button class="button button-icon icon ion-close-round" ng-click="closeCreateGame()"></button>
        </div>
      </ion-header-bar>
      <ion-content class="padding">
        <h3 class="text-center">SET GAME DETAILS</h3>
        <div class="list">
          <label class="item item-input item-select">
                   <div class="input-label">Type
                   </div>
                   <select ng-model="game.type" ng-change="changeGameType(game.type)">
                     <option value="3v3">3 vs 3</option>
                     <option value="5v5">5 vs 5</option>
                     Game 
                   </select>
                 </label>
          <label class="item item-input">
                 <i class="icon ion-navigate placeholder-icon"></i>
                 <span class="input-label">Place</span>
                 <input type="text" ng-model="game.place" disabled="disabled">
             </label>
             <label class="item item-input">
                <i class="icon ion-clock placeholder-icon"></i>
                <span class="input-label">Time</span>
                <input type="time" ng-model="time_start" ng-change="setGameTime(time_start)">
            </label>
          <div class="item range">
            1
            <input type="range" name="volume" ng-model="game.duration" min="1" max="2" ng-change="changeGameDuration(game.duration)">            2
          </div>
        </div>
        <button class="button button-block button-assertive" ng-click="addGame()" angular-ripple>
              Create
          </button>
      </ion-content>
    </ion-modal-view>
    <!-- Add Game Modal -->
  </script>
</ion-view>
